html
{
  scroll-behavior: smooth;
}

body
{
  font-family: Roboto;
  font-size: 16px;
  line-height: 1.75;
}

#bar
{
  position: sticky;
  top: 0px;
  width: 100%;
  height: 5px;
  background: #2a9d8f;
  z-index: 2;
}

#overlay
{
  display: none;
}

#wrapper
{
  padding: 30px;
  margin: 0px auto;
}

h1, h2, h3
{
  margin-top: 30px;
}

h1, h2
{
  margin-bottom: 20px;
}

h3
{
  margin-bottom: 0px;
}


h1
{
  padding-top: 25px;
  font-size: 1.45em;
  background: white;
  width: 100%;
  position: sticky;
  text-align: center;
  top: 0px;
}

h2:before,
h2:after
{
  position: relative;
  z-index: -1;
  display: inline-block;
  content: "";
  border-top: 3px solid black;
  transform: translateY(-5px);
}

h2:before
{
  width: 30px;
  margin-right: 20px;
}

h2:after
{
  display: none;
}

a,
#talks,
#photos
{
  scroll-margin-top: 75px;
}
a
{
  color: #2a9d8f;
}

a:hover
{
  text-decoration: none;
}

#header
{
  padding-top: 10px;
  text-align: center;
}

#header img
{
  max-width: 250px;
}


#bio strong
{
  font-weight: normal;
  text-decoration: underline;
}

ul
{
  margin: 0px;
  list-style-type: none;
  padding: 0px;
}

li:before
{
  font-family: "Material Icons";
  vertical-align: middle;
  display: inline-block;
  margin-left: -30px;
  width: 25px;
}

#menu_toggle
{
  display: block;
  position: fixed;
  right: 0;
  top: 5px;
  padding: 10px 30px;
  font-size: 30px;
  text-align: right;
  background-color: white;
  z-index: 4;
}

#menu_visible
{
  visibility: hidden;
  position: absolute;
}

#menu_visible:checked ~ ul#menu
{
  display: block;
}

#menu_visible:checked ~ #overlay
{
  display: block;
  position: fixed;
  top: 0px;
  background-color: rgb(128, 128, 128, 0.5);
  width: 100%;
  height: 100vh;
  z-index: 1;
}

ul#menu
{
  display: none;
  text-align: center;
  font-size: 25px;
  position: fixed;
  width: 300px;
  right: 0;
  top: 0px;
  height: 100vh;
  background-color: white;
  border-left: 5px solid #2a9d8f;
  padding-top: 90px;
  z-index: 3;
}

ul#menu li
{
  padding: 10px;
}

ul#menu a
{
  color: black;
  text-decoration: none;
}

ul#menu a:hover
{
  color: #2a9d8f;
}

ul#education li,
ul#publications li
{
  padding-left: 30px;
  padding-bottom: 10px;
}

ul#education li:before
{
  content: "\e80c";
}

ul#publications li:before
{
  content: "\e873";
}

ul#publications a:not(:first-child)
{
  font-size: 13px;
  display: inline-block;
  padding: 2px 5px;
  margin: 10px 5px 10px 0px;
  border: 1px solid #2a9d8f;
  border-radius: 5px;
}

ul#publications a:not(:first-child):hover
{
  border-color: #264653;
  color: #264653;
}

ul.review,
ul.teaching,
ul.talk
{
  list-style-type: square;
  padding-left: 20px;
}

ul.review li,
ul.talk li,
ul.teaching li
{
  padding: 0;
  padding-top: 10px;
}

ul.review li em,
ul.talk li em,
ul.teaching li em
{
  display: block;
  font-size: 14px;
  font-style: normal;
}

#contact h2
{
  padding-top: 50px;
}

#contact p
{
  font-size: 15px;
}


.polaroid
{
  display: inline-block;
  width: 150px;
  border: 0.5px solid #ddd;
  padding: 6px;
  box-shadow: 1px 1px 4px black;
  background: white;
}

.polaroid span
{
  display: block;
  text-align: center;
  font-size: 15px;
}

#photos img
{
  max-width: 100%;
}

@media only screen and (min-width: 600px) {
  h2:before,
  h2:after
  {
      width: 100px;
  }

  h2:after
  {
    display: inline-block;
    margin-left: 20px;
  }
  
  #wrapper
  {
    max-width: 600px;
  }
  
  #header img
  {
    max-width: 300px;
  }
}
@media only screen and (min-width: 480px) {
  h1
  {
    font-size: 2em;
    padding-top: 15px;
  }

  .polaroid
  {
    width: 180px;
  }
}

@media only screen and (min-width: 1000px) {
  #bar
  {
    display: none;
  }

  #wrapper
  {
    max-width: 1000px;
  }

  h2:before,
  h2:after
  {
      width: 100px;
  }
  
  #header
  {
    padding-top: 50px;
    float: right;
    width: 400px;
  }
  
  #bio
  {
    width: 500px;
    float: left;
  }

  h1
  {
    text-align: left;
    float: left;
    padding-top: 50px;
    top: -45px;
    background: transparent;
    width: auto;
    z-index: 5;
  }
  
  .clear
  {
    padding-top: 50px;
    clear: both;
  }
  
  #menu_toggle
  {
    display: none;
  }

  ul#menu
  {
    display: block;
    border: none;
    position: sticky;
    top: 0;
    height: auto;
    padding-top: 15px;
    padding-bottom: 15px;
    border-bottom: 5px solid #2a9d8f;
    width: 100%;
    text-align: right;
    font-size: 20px;
  }

  ul#menu li
  {
    display: inline;
    margin-right: 5px;
  }

  #talks #talk_list
  {
    float: left;
  }

  .polaroid:nth-child(3) { position:relative; transform: rotate(-3deg);   z-index: 0; margin-right: -40px; }
  .polaroid:nth-child(4) { position:relative; transform: rotate(1.5deg);  z-index: -1; margin-right: -40px; }
  .polaroid:nth-child(5) { position:relative; transform: rotate(-2deg);   z-index: -2; margin-right: -20px; }
  .polaroid:nth-child(6) { position:relative; transform: rotate(2.5deg);    z-index: -3; margin-right: -40px;}
  .polaroid:nth-child(7) { position:relative; transform: rotate(-5deg);    z-index: -4; margin-right: -40px;}
  .polaroid:nth-child(8) { position:relative; transform: rotate(0.5deg);    z-index: -5; margin-right: -40px;}
  .polaroid:nth-child(9) { position:relative; transform: rotate(-2.5deg);    z-index: -6; margin-right: -40px;}
  .polaroid:nth-child(10) { position:relative; transform: rotate(1.25deg);    z-index: -7; margin-right: -40px;}
  .polaroid:nth-child(11) { position:relative; transform: rotate(-4deg);    z-index: -8; margin-right: -40px;}
  .polaroid:nth-child(12) { position:relative; transform: rotate(2.5deg);    z-index: -9; margin-right: -40px;}
  .polaroid:nth-child(13) { position:relative; transform: rotate(-5deg);    z-index: -10; margin-right: -40px;}
  .polaroid:nth-child(14) { position:relative; transform: rotate(4.5deg);    z-index: -11; margin-right: -40px;}


}